KDE 4.7 PyKDE API Reference

- KDE's Python API

# KStatusBarOfflineIndicator Class Reference

`from PyKDE4.kio import *`

Inherits: QWidget → QObject

## Detailed Description

Widget indicating network connection status using an icon and tooltip. This widget uses Solid.Networking internally to automatically show and hide itself as required.

     KStatusBarOfflineIndicator * indicator = new KStatusBarOfflineIndicator( this );
     statusBar()->addWidget( indicator, 0, false );

Author:
  Will Stephenson <wstephenson@kde.org>

## Methods
| __init__ (self, QWidget parent)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent
| ) |  |  |

Default constructor.

Parameters:

  | parent | the widget's parent